Bug 55385 - X setup (ncurses, console) program leaves terminal settings in bad state
X setup (ncurses, console) program leaves terminal settings in bad state
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: setuptool (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 12:25 EST by Bishop Clark
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 18:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2001-10-30 12:25:26 EST
Description of Problem:
X setup (ncurses, console) program leaves terminal settings in bad state, 
apparently altering ^C, ^D and ^H at least, as well as ^J and also 
affecting the echo of input to the screen.

Version-Release number of selected component (if applicable):
1.8-2

How Reproducible:
Always

Steps to Reproduce:
1. setup
2. confirm X setup (enter area, hit enter a lot, exit)
3. exit setup program.  Terminal will now misbehave.

Actual Results:
Misbehaving terminal, as described.

Expected Results:
Terminal settings similar to that of a fresh login

Additional Information:
This may be a terminal problem and not a setup problem.
Comment 1 Miloslav Trmač 2004-09-28 18:40:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this
version of
the product and I was unable to replicate the bug with setuptool-1.15.
Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some
older releases, 
and if you believe this bug is interesting to them, please report the
problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 2 Bishop Clark 2004-10-03 08:08:10 EDT
wow.  Three years!

No, I don't expect this will be interesting to many folks any longer.
 If I see it again, though, I'll definitely wander out to fdr.us and
re-open something there.

'stoo bad Bugzill doesn't support the mass movement of bugs from one
bz to another, or we could just move all the old and crusty tickets
out that way.

Note You need to log in before you can comment on or make changes to this bug.